Bug 13351 - conn->vuid is invalid after a SMB session reauth
conn->vuid is invalid after a SMB session reauth
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-22 07:20 UTC by Ralph Böhme
Modified: 2018-08-14 10:59 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.7 and 4.8 cherry-picked from master (1.54 KB, patch)
2018-07-07 12:56 UTC, Ralph Böhme
jra: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-03-22 07:20:58 UTC
SMB session reauth invalidates conn->vuid via smbd_smb2_reauth_generic_return() -> conn_clear_vuid_caches() for SMB2. It is later never set back to the current vuid of the user in change_to_user().

Patch to follow...
Comment 1 Ralph Böhme 2018-07-07 12:56:25 UTC
Created attachment 14312 [details]
Patch for 4.7 and 4.8 cherry-picked from master
Comment 2 Karolin Seeger 2018-07-26 04:32:11 UTC
(In reply to Ralph Böhme from comment #1)
Pushed to autobuild-v4-{7,8}-test.
Already included in v4-9-test.
Comment 3 Karolin Seeger 2018-08-14 10:59:12 UTC
Pushed to all branches.
Closing out bug report.

Thanks!